View Issue Details

IDProjectCategoryView StatusLast Update
0034549LazarusIDEpublic2019-04-18 13:30
ReporterchronosAssigned ToMaxim Ganetsky 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version2.1 (SVN)Product Build 
Target VersionFixed in Version2.0 
Summary0034549: Czech translation update
DescriptionPlease use updated language files for Lazarus IDE from attachment. Original files taken form trunk branch but they should be used also for 2.0 version.
TagsNo tags attached.
Fixed in Revision59540, 59564
LazTarget-
Widgetset
Attached Files

Activities

chronos

2018-11-13 14:10

reporter  

czech.zip (187,806 bytes)

Maxim Ganetsky

2018-11-13 23:41

developer   ~0111961

Last edited: 2018-11-14 00:02

View 3 revisions

Applied and merged to fixes_2_0, thanks.

BTW, please check lazarusidestrconsts.liscannotexecute translation. Also please read <lazarusdir>/languages/README.txt and use PoChecker.

chronos

2018-11-16 12:59

reporter  

czech2.zip (206,112 bytes)

chronos

2018-11-16 13:03

reporter   ~0111998

Ok, I was not aware of pochecker tool. I just use Poedit tool to translate language files. It has also some additional checks for missing or exceeding spaces at the start and end of translated strings and wrong characters at the end like missing : or . characters. But there still many undiscovered translation mistakes in many translated strings which need to be corrected later. It's kind of continuous improvement process.

So I attached another version of some .po files with corrected strings as czech2.zip file. Please apply them again.

Maxim Ganetsky

2018-11-17 00:27

developer   ~0112011

> But there still many undiscovered translation mistakes in many translated strings which need to be corrected later. It's kind of continuous improvement process.

Yes, indeed.

Your update is applied and merged to fixes_2_0, thanks.

Issue History

Date Modified Username Field Change
2018-11-13 14:10 chronos New Issue
2018-11-13 14:10 chronos File Added: czech.zip
2018-11-13 23:41 Maxim Ganetsky Fixed in Revision => 59540
2018-11-13 23:41 Maxim Ganetsky LazTarget => -
2018-11-13 23:41 Maxim Ganetsky Note Added: 0111961
2018-11-13 23:41 Maxim Ganetsky Status new => resolved
2018-11-13 23:41 Maxim Ganetsky Fixed in Version => 2.0
2018-11-13 23:41 Maxim Ganetsky Resolution open => fixed
2018-11-13 23:41 Maxim Ganetsky Assigned To => Maxim Ganetsky
2018-11-13 23:55 Maxim Ganetsky Note Edited: 0111961 View Revisions
2018-11-14 00:02 Maxim Ganetsky Note Edited: 0111961 View Revisions
2018-11-16 12:59 chronos File Added: czech2.zip
2018-11-16 13:03 chronos Note Added: 0111998
2018-11-16 13:03 chronos Status resolved => assigned
2018-11-16 13:03 chronos Resolution fixed => reopened
2018-11-17 00:27 Maxim Ganetsky Fixed in Revision 59540 => 59540, 59564
2018-11-17 00:27 Maxim Ganetsky Note Added: 0112011
2018-11-17 00:27 Maxim Ganetsky Status assigned => resolved
2018-11-17 00:27 Maxim Ganetsky Resolution reopened => fixed
2019-04-18 13:30 chronos Status resolved => closed